/*
 *========================================================================
 *
 *   시스템명 : 녹색교통 시스템
 *   파 일 명 : make_basic.c
 *   작 성 자 : 조보용 (baarong@neighbor21.co.kr)
 *   작 성 일 : 2019.08.30
 *   수 정 일 :
 *   설    명 :
 *
 *========================================================================
*/

#include <stdio.h>
#include <stdlib.h>
#include <errno.h>
#include <unistd.h>

#include "bef_mst.h"
#include "dir_path.h"
#include "file_no.h"
#include "file_lb.h"
#include "lb_func_list.h"
#include "func_list.h"
#include "util.h"


/*
 *========================================================================
 *
 *   함 수 명 : make_basic
 *   작 성 자 : 조보용 (baarong@neighbor21.co.kr)
 *   작 성 일 : 2019.08.13
 *   수 정 일 :
 *   설    명 : 기초(정수)테이블 파일 생성
 *
 *========================================================================
*/
int make_basic(char *data)
{
    char path[128], spath[128], tpath[128];
	char mkData[MAX_STRING_SIZE * 20 + 1];
    int  isfd, isrc, errflg = 0;
	memset(mkData, 0x00, sizeof(mkData));
	snprintf(mkData, strlen(data)+1, "%s", data);
//printf("make_befmst [%d][%s][%d]\n", rcv, data, strlen(data));
//printf("make_befmst 2[%s][%d]\n", mkData, strlen(mkData));

	//WriteLog(LogType_StandardOut, LogLevel_Info, "DATA[%s][%d]\n", mkData, strlen(mkData));
    sprintf(tpath, "%s/%s/BASICTBL01_O", DIR_TCS, DIR_BASEINFO);
    unlink(tpath);

    sprintf(path, "%s/%s/BASICTBL01", DIR_TCS, DIR_BASEINFO);
    //lb_rename(path, tpath);
	sprintf(spath, "%s/%s/BASICTBL01_S", DIR_TCS, DIR_BASEINFO);
	unlink(spath);
    isrc = Write_File_Char(mkData, strlen(mkData), spath);
	if(isrc == 0)
	{
		WriteLog(LogType_StandardOut, LogLevel_Info, "BASIC DATA CREATE[%d]\n", isrc);
		//lb_rename(spath, path);
	}
    return(isrc);
}
